CREATE OR REPLACE PROCEDURE ADD_COSTO_SERVI_PROCE (UNIDADMONETARIA in NUMBER) IS
BEGIN
    INSERT INTO COSTOSPORSERVICIOS (UNIDADMONETARIA) VALUES (UNIDADMONETARIA);
END;

CREATE SEQUENCE COSTO_SERVI_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger COSTO_SERVI_TRIGGER  
   before insert on "CLINICA"."COSTOSPORSERVICIOS" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_COSTO" is null then 
         select COSTO_SERVI_SEQUENCE.nextval into :NEW."ID_COSTO" from dual; 
      end if; 
   end if; 
end;

